﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Boulder : MonoBehaviour {
	private bool boulderState;
	private float speed = 1.5f;
	private float maxSpeed = 1.5f;
	public Rigidbody2D boulder;
//	public CircleCollider2D boulderCollider;

	// Use this for initialization
	void Start () {
		boulderState = false;
		boulder = GetComponent<Rigidbody2D>();
//		boulderCollider = new CircleCollider2D();
	}
	
	// Update is called once per frame
	void Update () {
		if(Player.instance.transform.position.x > 12.5){
			boulderState = true;
		}

		if(boulderState){
			//boulder.AddForce(-transform.right * speed);
			boulder.gravityScale = 1;
		}
		if(boulder.velocity.x < -maxSpeed){
			boulder.velocity = new Vector2(-maxSpeed, boulder.velocity.y);
		}
	}

	void OnCollisionEnter2D(Collision2D coll){
		Debug.Log("Game Over");
		/*if(coll.gameObject.tag == "Player")
			Destroy(coll.gameObject);*/
	}
}
