﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ProgressTracker : MonoBehaviour {

    public static ProgressTracker instance;
    public int currentLevel = 0;

    private void Awake()
    {
        if (instance != null)
            DestroyImmediate(gameObject);

        instance = this;
        DontDestroyOnLoad(this);
    }
}
