﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DeactivateAfterTime : MonoBehaviour {

    public float duration = 1f;
    public WaitForSeconds waitTime;

    private void Awake()
    {
        waitTime = new WaitForSeconds(duration);
    }

    private void OnEnable()
    {
        StartCoroutine(timer());
    }

    IEnumerator timer()
    {
        int i = 1;
        do
        {
            i--;
            yield return waitTime;
        } while (i > 0);

        gameObject.SetActive(false);
        yield return null;
    }
}
