﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NodeBridge : MonoBehaviour {

    public SpriteRenderer spriteRenderer;
    public BoxCollider2D boxCollider;
    public ShootableNode[] parentNodes = new ShootableNode[2];

	void OnCollisionEnter2D(Collision2D collision)
    {
        if (collision.rigidbody.GetComponent<Projectile>() == null)
        {
            return;
        }

        if(collision.rigidbody.GetComponent<Projectile>().projectileType == ProjectileType.platformBreaker)
        {
            parentNodes[0].inUse = false;
            parentNodes[1].inUse = false;

            Destroy(gameObject);
        }
    }
}
