﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NodeLinks : MonoBehaviour {

    public static NodeLinks instance;

    public GameObject platformPrefab;
    public float platformHeight;


    public ObjectPool connectionRayPool;

    private void Awake()
    {
        if (instance != null)
            DestroyImmediate(this);

        instance = this;

        platformHeight = platformPrefab.GetComponent<SpriteRenderer>().size.y;

    }

}
