﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public interface IPlayerState {

    //Transitions
    void ToIdle();
    void ToMove();
    void ToStun();
    void ToShoot();
    void ToFall();

    //Core methods
    void Update();
    void FixedUpdate();
    void Enter();
    void Exit();

}
